View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007403ParaView(No Category)public2008-07-25 12:162011-01-13 17:00
ReporterBurlen 
Assigned ToBerk Geveci 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.6Fixed in Version3.6 
Summary0007403: clean filter doesn't work in parallel
Descriptionto reproduce:

run 2 servers

introduce a point set, 100 pts, radius 1
introduce a sphere, default settings

group the two

apply clean filter

results in a deadlock both servers stuck in a receive.
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0015132)
Utkarsh Ayachit (administrator)
2009-02-18 09:08

Another test:
* 2 servers
* simply create sphere and apply Clean. The server segfaults.
(0016231)
Utkarsh Ayachit (administrator)
2009-04-28 17:08

Berk,

Does this patch make sense:

Index: VTK/Graphics/vtkCleanPolyData.cxx
===================================================================
RCS file: /cvsroot/ParaView3/ParaView3/VTK/Graphics/vtkCleanPolyData.cxx,v
retrieving revision 1.79
diff -u -3 -p -r1.79 vtkCleanPolyData.cxx
--- VTK/Graphics/vtkCleanPolyData.cxx 27 Apr 2009 17:25:48 -0000 1.79
+++ VTK/Graphics/vtkCleanPolyData.cxx 28 Apr 2009 21:05:24 -0000
@@ -116,7 +116,7 @@ int vtkCleanPolyData::RequestUpdateExten
       }
     else
       {
- inInfo->Set(vtkStreamingDemandDrivenPipeline::UPDATE_PIECE_NUMBER(), -1);
+ inInfo->Set(vtkStreamingDemandDrivenPipeline::UPDATE_PIECE_NUMBER(), 0);
       inInfo->Set(vtkStreamingDemandDrivenPipeline::UPDATE_NUMBER_OF_PIECES(),
                   0);
       }

The problem is that the original code is setting UPDATE_PIECE_NUMBER to -1 which is < 0 and hence filters still try to execute and then seg fault with divide by 0 or such when they try to produce the -1th piece of 0 pieces.
(0016462)
Utkarsh Ayachit (administrator)
2009-05-14 21:27

Reminder sent to: Berk Geveci

Berk,
Does the patch look good. I guess my question is what's the recommend way of telling the input that I don't want any piece at all.
(0016475)
Utkarsh Ayachit (administrator)
2009-05-15 09:49

/cvsroot/ParaView3/ParaView3/VTK/Graphics/vtkCleanPolyData.cxx,v <-- VTK/Graphics/vtkCleanPolyData.cxx
new revision: 1.80; previous revision: 1.79
(0016579)
Alan Scott (manager)
2009-05-26 21:19

Tested remote server.

- Issue History
Date Modified Username Field Change
2008-07-25 12:16 Burlen New Issue
2009-02-18 09:07 Utkarsh Ayachit Status backlog => tabled
2009-02-18 09:07 Utkarsh Ayachit Assigned To => Burlen
2009-02-18 09:08 Utkarsh Ayachit Note Added: 0015132
2009-04-28 17:03 Utkarsh Ayachit Assigned To Burlen => Berk Geveci
2009-04-28 17:08 Utkarsh Ayachit Note Added: 0016231
2009-05-13 13:45 Utkarsh Ayachit Target Version => 3.6
2009-05-14 21:27 Utkarsh Ayachit Note Added: 0016462
2009-05-15 09:49 Utkarsh Ayachit Note Added: 0016475
2009-05-15 09:49 Utkarsh Ayachit Status tabled => @80@
2009-05-15 09:49 Utkarsh Ayachit Fixed in Version => 3.6
2009-05-15 09:49 Utkarsh Ayachit Resolution open => fixed
2009-05-26 21:19 Alan Scott Note Added: 0016579
2009-05-26 21:19 Alan Scott Status @80@ => closed
2011-01-13 17:00 Source_changeset_attached => VTK master a2bd8391
2011-01-13 17:00 Source_changeset_attached => VTK master 020ef709
2011-06-16 13:10 Zack Galbreath Category => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker